stl_pair.h File Reference

Go to the source code of this file.

## Classes

struct | std::pair< _T1, _T2 >
struct | std::piecewise_construct_t
class | std::tuple< _Elements >

## Namespaces

namespace | std

## Functions

template<class _T1 , class _T2 >
constexpr pair< typename __decay_and_strip< _T1 > ::__type, typename __decay_and_strip< _T2 > ::__type > | std::make_pair (_T1 &&__x, _T2 &&__y)
template<class _T1 , class _T2 >
constexpr bool | std::operator!= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
template<class _T1 , class _T2 >
constexpr bool | std::operator< (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
template<class _T1 , class _T2 >
constexpr bool | std::operator<= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
template<class _T1 , class _T2 >
constexpr bool | std::operator== (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
template<class _T1 , class _T2 >
constexpr bool | std::operator> (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
template<class _T1 , class _T2 >
constexpr bool | std::operator>= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
template<class _T1 , class _T2 >
void | std::swap (pair< _T1, _T2 > &__x, pair< _T1, _T2 > &__y) noexcept(noexcept(__x.swap(__y)))

## Variables

constexpr piecewise_construct_t | std::piecewise_construct

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file stl_pair.h.